Subject: Re: bug#51307: [PATCH 0/2] guix hash: eases conversion

From: zimoun <[email-masked]>
Date: Sat, 30 Oct 2021 17:24:34 +0200

Re,

On Sat, 30 Oct 2021 at 17:19, zimoun <[email-masked]> wrote:

>> An obvious problem with the interface you propose is that it’s
>> ambiguous: are you printing the hash of the ‘ceph’ package, or computing
>> that of the ‘ceph’ file?  I’m sure the Zen of Python has something on
>> ambiguity.  ;-)

[...]

> Well, I do not know.  What could be better?  Another subcommand “guix
> archival” doing all these plumbings: save, display hashes, upstream URL,
> disarchive URL, etc.

Ah, I forgot.   Zen of Python says,

        Now is better than never.

and the proposed patch does “now” the things I need and this hypothetical
other subcommand falls into “never”. :-)

Cheers,
simon